# coding: utf-8

"""
    Pathnexus

    Pathnexus - a lab data harmonisation platform  # noqa: E501

    OpenAPI spec version: 5.8.0
    Contact: support@termlex.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six


class CodelistMetrics(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'column_count': 'int',
        'row_count': 'int',
        'review_mappings_count': 'int',
        'final_mappings_count': 'int',
        'escalated_mappings_count': 'int',
        'progress': 'int'
    }

    attribute_map = {
        'column_count': 'columnCount',
        'row_count': 'rowCount',
        'review_mappings_count': 'reviewMappingsCount',
        'final_mappings_count': 'finalMappingsCount',
        'escalated_mappings_count': 'escalatedMappingsCount',
        'progress': 'progress'
    }

    def __init__(self, column_count=None, row_count=None, review_mappings_count=None, final_mappings_count=None, escalated_mappings_count=None, progress=None):  # noqa: E501
        """CodelistMetrics - a model defined in Swagger"""  # noqa: E501

        self._column_count = None
        self._row_count = None
        self._review_mappings_count = None
        self._final_mappings_count = None
        self._escalated_mappings_count = None
        self._progress = None
        self.discriminator = None

        if column_count is not None:
            self.column_count = column_count
        if row_count is not None:
            self.row_count = row_count
        if review_mappings_count is not None:
            self.review_mappings_count = review_mappings_count
        if final_mappings_count is not None:
            self.final_mappings_count = final_mappings_count
        if escalated_mappings_count is not None:
            self.escalated_mappings_count = escalated_mappings_count
        if progress is not None:
            self.progress = progress

    @property
    def column_count(self):
        """Gets the column_count of this CodelistMetrics.  # noqa: E501


        :return: The column_count of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._column_count

    @column_count.setter
    def column_count(self, column_count):
        """Sets the column_count of this CodelistMetrics.


        :param column_count: The column_count of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._column_count = column_count

    @property
    def row_count(self):
        """Gets the row_count of this CodelistMetrics.  # noqa: E501


        :return: The row_count of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._row_count

    @row_count.setter
    def row_count(self, row_count):
        """Sets the row_count of this CodelistMetrics.


        :param row_count: The row_count of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._row_count = row_count

    @property
    def review_mappings_count(self):
        """Gets the review_mappings_count of this CodelistMetrics.  # noqa: E501


        :return: The review_mappings_count of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._review_mappings_count

    @review_mappings_count.setter
    def review_mappings_count(self, review_mappings_count):
        """Sets the review_mappings_count of this CodelistMetrics.


        :param review_mappings_count: The review_mappings_count of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._review_mappings_count = review_mappings_count

    @property
    def final_mappings_count(self):
        """Gets the final_mappings_count of this CodelistMetrics.  # noqa: E501


        :return: The final_mappings_count of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._final_mappings_count

    @final_mappings_count.setter
    def final_mappings_count(self, final_mappings_count):
        """Sets the final_mappings_count of this CodelistMetrics.


        :param final_mappings_count: The final_mappings_count of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._final_mappings_count = final_mappings_count

    @property
    def escalated_mappings_count(self):
        """Gets the escalated_mappings_count of this CodelistMetrics.  # noqa: E501


        :return: The escalated_mappings_count of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._escalated_mappings_count

    @escalated_mappings_count.setter
    def escalated_mappings_count(self, escalated_mappings_count):
        """Sets the escalated_mappings_count of this CodelistMetrics.


        :param escalated_mappings_count: The escalated_mappings_count of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._escalated_mappings_count = escalated_mappings_count

    @property
    def progress(self):
        """Gets the progress of this CodelistMetrics.  # noqa: E501


        :return: The progress of this CodelistMetrics.  # noqa: E501
        :rtype: int
        """
        return self._progress

    @progress.setter
    def progress(self, progress):
        """Sets the progress of this CodelistMetrics.


        :param progress: The progress of this CodelistMetrics.  # noqa: E501
        :type: int
        """

        self._progress = progress

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CodelistMetrics):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
